// -*- mode:c++; indent-tabs-mode:nil; tab-width:2;buffer-file-coding-system:euc-jp-unix; -*-
/**
   @file
   @brief category command

   @author seagull
   @version "$Id: category.h,v 1.1.1.1 2004/01/12 12:19:12 seagull Exp $"
 */
#if !defined(__BUGXEE__COMMAND__CATEGORY_H__)
#define __BUGXEE__COMMAND__CATEGORY_H__

#include <string>
#include <list>

#include "../Repository.h"
#include "../command.h"

namespace bugxee {
  namespace command {

    class CategoryCmd
      : public AbstractCommand
    {
    protected:
      std::set<std::string> categories_;

    public:
      CategoryCmd(Repository& repository)
        : AbstractCommand(repository)
      {
      }

      virtual void parseOptions(int argc, char* argv[]);
      virtual void perform();
    };

    AbstractCommandFactory const* getCategoryCommandFactory();
  }
}


#endif
